
QGIS Application - Bug report #16195

Problem running GRASS7 under QGIS master

2017-02-15 02:19 AM - Pedro Venâncio

Status: Closed

Priority: High

Assignee:

Category: Processing/GRASS

Affected QGIS version:master Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24105

Description

I'm trying GRASS7 on Processing (OSGeo4W64bits QGIS master 2.99.0-7), and all GRASS algorithms give these errors:

Problem execunting algorithm

local variable 'filename' referenced before assignment See log for more details

2017-02-15T09:39:16    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 216, in execute

                self.processAlgorithm(feedback)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 281, in

processAlgorithm

                self.processInputs()

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 333, in

processInputs

                self.commands.append(self.exportVectorLayer(value))

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 526, in

exportVectorLayer

                command += ' input="' + os.path.dirname(filename) + '"'

            UnboundLocalError: local variable 'filename' referenced before assignment

2017-02-15T09:39:16    1    There were errors executing the algorithm.

must be str, not NoneType See log for more details

2017-02-15T10:14:38    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 216, in execute

                self.processAlgorithm(feedback)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Algorithm.py", line 294, in

processAlgorithm

                Grass7Utils.executeGrass7(self.commands, feedback, self.outputCommands)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Utils.py", line 291, in executeGrass7

                command, grassenv = Grass7Utils.prepareGrass7Execution(commands)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Utils.py", line 266, in
prepareGrass7Execution

                Grass7Utils.createGrass7Script(commands)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\algs\\grass7\\Grass7Utils.py", line 178, in

createGrass7Script

                output.write('set GRASS_VERSION=' + Grass7Utils.installedVersion() + '\

')

            TypeError: must be str, not NoneType

2017-02-15T10:14:38    1    There were errors executing the algorithm.

Related issues:

Related to QGIS Application - Bug report # 16421: SAGA and GRASS support brok... Closed 2017-04-07

History

#1 - 2017-02-15 02:20 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2017-03-07 10:51 AM - Giovanni Manghi

- Target version set to Version 3.0

#3 - 2017-04-11 03:59 AM - Alexander Bruy

- Status changed from Open to Feedback

Works fine for me with latest master. Can you retest?

#4 - 2017-04-29 11:45 PM - Giovanni Manghi

- Description updated

Alexander Bruy wrote:

Works fine for me with latest master. Can you retest?

Hi Alex,

now it fails with

2017-04-29T22:44:09    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\core\GeoAlgorithm.py", line 199, in execute

self.processAlgorithm(context, feedback)

File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 302, in processAlgorithm

QgsMessageLog.logMessage(loglines, self.tr('Processing'), QgsMessageLog.INFO)

TypeError: QgsMessageLog.logMessage(): argument 1 has unexpected type 'list'

#5 - 2017-04-30 01:32 PM - Alexander Bruy

Giovanni, can you check with 3f669140d5 or newer version?
#6 - 2017-04-30 05:06 PM - Giovanni Manghi

- Regression? set to Yes

#7 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2017-05-01 10:31 AM - Giovanni Manghi

- Status changed from Feedback to Open

Hi Alexander, I tried with b46de90

2017-05-01T09:25:38    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\core\GeoAlgorithm.py", line 199, in execute

                self.processAlgorithm(context, feedback)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 291, in processAlgorithm

                self.processInputs()

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 343, in processInputs

                self.commands.append(self.exportVectorLayer(value))

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 536, in exportVectorLayer

                command += ' input="' + os.path.dirname(filename) + '"'

            UnboundLocalError: local variable 'filename' referenced before assignment

#10 - 2017-05-01 02:48 PM - Alexander Bruy

- Related to Bug report #16421: SAGA and GRASS support broken in QGIS master added

#11 - 2017-05-03 09:04 AM - Alexander Bruy

- Assignee deleted (Alexander Bruy)

#12 - 2017-10-03 01:34 PM - Alexander Bruy

IMHO this should be closed, as Processing refactoring is not completed and GRASS now disabled

#13 - 2017-10-03 02:27 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed
